#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.gallery.interfaces import IGalleryParagraph
from pyams_content.component.paragraph.interfaces import IParagraphFactory

# import packages
from pyams_content.component.gallery import Gallery as BaseGallery
from pyams_content.component.paragraph import BaseParagraph
from pyams_utils.registry import utility_config
from zope.interface import implementer

from pyams_content import _


@implementer(IGalleryParagraph)
class Gallery(BaseGallery, BaseParagraph):
    """Gallery class"""

    icon_class = 'fa-picture-o'
    icon_hint = _("Images gallery")


@utility_config(name='Gallery', provides=IParagraphFactory)
class GalleryFactory(object):
    """Gallery paragraph factory"""

    name = _("Images gallery")
    content_type = Gallery
