#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.paragraph.interfaces import IParagraphFactory
from pyams_content.shared.imagemap.interfaces import IImageMapParagraph

# import packages
from pyams_content.component.paragraph import BaseParagraph
from pyams_sequence.utility import get_reference_target
from pyams_utils.registry import utility_config
from zope.interface import implementer
from zope.schema.fieldproperty import FieldProperty

from pyams_content import _


@implementer(IImageMapParagraph)
class ImageMapParagraph(BaseParagraph):
    """Image map paragraph"""

    icon_class = 'fa-location-arrow'
    icon_hint = _("Image map")

    reference = FieldProperty(IImageMapParagraph['reference'])

    def get_target(self, state=None):
        return get_reference_target(self.reference, state)


@utility_config(name='ImageMap', provides=IParagraphFactory)
class ImageMapParagraphFactory(object):
    """Image map paragraph factory"""

    name = _("Image map")
    content_type = ImageMapParagraph
